# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/customer-managed-keys/{customer_managed_key_id}`

Gets a customer-managed key configuration object for an account, specified by ID.
 This operation uploads a reference to a customer-managed key to <Databricks>.
 If assigned as a workspace's customer-managed key for managed services, <Databricks> uses the
 key to encrypt the workspaces notebooks and secrets in the control plane, in addition to
 Databricks SQL queries and query history. If it is specified as a workspace's
 customer-managed key for storage, the key encrypts the workspace's root S3 bucket
 (which contains the workspace's root DBFS and system data) and, optionally, cluster EBS volume data.

 **Important**: Customer-managed keys are supported only for some deployment types,
 subscription types, and AWS regions.

 This operation is available only if your account is on the E2 version of the platform.",

API scopes: provisioning

Clouds: AWS, GCP

## Path parameters

- `customer_managed_key_id` (string, optional)
  <Databricks> encryption key configuration ID.
- `account_id` (string, optional)

## Returns

Returns the CustomerManagedKey object.

## Response

```json
{
  "customer_managed_key_id": "string",
  "creation_time": 0,
  "account_id": "string",
  "aws_key_info": {
    "key_arn": "arn:aws:kms:us-west-2:111122223333:key/0987dcba-09fe-87dc-65ba-ab0987654321",
    "key_alias": "alias/projectKey1",
    "key_region": "us-east-1",
    "reuse_key_for_cluster_volumes": true
  },
  "gcp_key_info": {
    "kms_key_id": "string",
    "gcp_service_account": {}
  },
  "use_cases": [
    "string"
  ]
}
```

